IronElevators (1.13 Compatible) 1.2

Stupid-simple elevators!

  1. bryansolis13
    Tested Minecraft Versions:
    • 1.13
    I TAKE NO CREDIT FOR THE PLUGIN. ALL I DID WAS UPDATE A INACTIVE PLUGIN THAT HAS BEEN INACTIVE SINCE JAN 07, 2014 AND THAT DIDN'T WORK IN 1.9

    ORIGINAL POST: http://dev.bukkit.org/bukkit-plugins/ironelevators/


    Have an idea? Leave it in the comments.

    Features
    • 1.13 READY
    • Create an elevator just by placing iron blocks above one another
    • Allows instant vertical travel between aligned iron blocks
    • No commands, No signs, No redstone or other required mechanics.
    How to Install
    Drop the jar in your plugins folder
    By default, everyone has the permission to use the plugin

    Updating from the original plugin?
    Delete original config and jar
    Drop the new jar in your plugins folder
    By default, everyone has the permission to use the plugin


    No Commands

    How to use
    • Place iron blocks in a vertical line (NO MORE THAN 14 BLOCKS BETWEEN THEM BY DEFAULT)
    • Stand on one
    • Jump to go up to a higher level
    • Crouch to go down to a lower level


    Commands/Permissions
    There are no commands for this plugin.

    Permissions:

    • ironelevators.use | default = true | Allow a player to teleport using this plugin.
    Note: This permission is true for everyone by default. Use a decremental permission node to take the permission away from certain players. eg. "-ironelevators.use"

    Configuration
    minElevation : 3 : The minimum distance to place valid elevator blocks
    minElevation : 14 : the maximum distance to place valid elevator blocks
    elevatorWhoosh : ENTITY_IRONGOLEM_ATTACK : the sound played when a player uses an elevator.
    elevatorMaterial : IRON_BLOCK : the block type used for elevators. Solid full-size block materials work best.

Recent Updates

  1. Updated to 1.13
  2. Update to 1.9.4

Recent Reviews

  1. Devee
    Devee
    5/5,
    Version: 1.1
    Great plugin! It works perfectly on 1.12.2! Thank you so much! However, I highly recommend you put all the versions that work into the tested versions - that way people don't feel like they're taking a chance downloading this plugin.
  2. NoLogicGamer
    NoLogicGamer
    5/5,
    Version: 1.1
    Can you update to 1.12.2 ?
    This plugin is very wonderful and useful !
    Farewell long stairs, alive the lifts!
  3. kanarenplastique
    kanarenplastique
    5/5,
    Version: 1.1
    It looks amazing so I rated 5, but it doesn't work on my 1.10 server... I'm so sad :( It doesn't even creates the folder :/
    1. bryansolis13
      Author's Response
      Im sorry to hear that. Maybe try re-downloading it. Ive tested it myself on a 1.10 server and everything worked fine
  4. Ac3dUd3
    Ac3dUd3
    5/5,
    Version: 1.1
    amazing plugin! the best elevator plugin out there and it doesn't use stupid signs! its instant teleportation. amazing work to keep this updated ive always loved it
  5. lavainminecraft
    lavainminecraft
    5/5,
    Version: 1.1
    It's great that it is 1.9.4 but it seems that when I download it and put it in my plugins folder, it doesn't show the jar the config or even in-game
    could you help me maybe even in-game or over a call on skype?
    1. bryansolis13
      Author's Response
      Sure private message me your problem and ill help fix it or your skype
  6. zek2468
    zek2468
    3/5,
    Version: 1.1
    i put it in my server and reload it doesn't start the plugin and when i try to load it with Plug-man it say that file is invalid. I am on 1.9.4 spigot and it doesn't work here's my Server logs if needed

    http://pastebin.com/zd46u7cZ
    1. bryansolis13
      Author's Response
      I compiled the plugin with Java 8. If your on your computer then your not using java 8 or if your using a host they are not using java 8. Ill look into it more if im wrong but that's what i know so far.
  7. lavainminecraft
    lavainminecraft
    5/5,
    Version: 1.0
    Hey, could you update it to 1.9.4 because when I download it and restart my server, nothing happens, I need some help
    1. bryansolis13
      Author's Response
      I updated the plugin to 1.9.4 and tested it. All is working
  8. GorillaCraft
    GorillaCraft
    5/5,
    Version: 1.0
    THANKS for updating this!
    I Upgraded my server to 1.9 and my players went nuts xD

    They were "elevators or quit" kinda thing xD
  9. Approves_
    Approves_
    5/5,
    Version: 1.0
    Thanks for the update! But is there a 1.8 version for this? Cause my server is still running on 1.8. Thanks
    1. bryansolis13
      Author's Response
  10. EODSteven
    EODSteven
    5/5,
    Version: 1.0
    Thanks for updating to 1.9. This is the most useful plugin for players out there! I wouldn't run a server with out it!